"""Type stubs for threepanewindows.utils.windows module."""

import tkinter as tk
from typing import List, Tuple

from .base import PlatformHandler

class WindowsHandler(PlatformHandler):
    """Windows-specific platform handler."""

    def get_recommended_icon_formats(self) -> List[str]: ...
    def validate_icon_path(self, icon_path: str) -> Tuple[bool, str]: ...
    def set_window_icon(self, window: tk.Tk, icon_path: str) -> bool: ...
    def configure_window_appearance(self, window: tk.Tk, **kwargs) -> None: ...
    def get_system_theme_preference(self) -> str: ...
    def supports_custom_titlebars(self) -> bool: ...
